## Farmmaps Documentation Overview
This page provides an index of the available documentation for the FarmMaps platform.

### Getting started

At the moment, FarmMaps provides two environments for development.

* https://farmmaps.awtest.nl (testing environment, data is not persistent)
* https://farmmaps.awacc.nl (acceptation environment, data IS persistent)

When developing your application, using the **acceptation environment is highly recommended**.

The process for obtaining access to API's varies slightly per API.
Each API documentation page describes this for its own API.

### FarmMaps Main Concepts
* The datastore
* Endpoints
* Workers
* Queues
* File-chains
* [Viewer (FarmMapsLibs)](/wiki/FarmMapsLibs)

### API Documentation
FarmMaps provides 3 main endpoints to build services upon.

* A file upload/download API (REST) for file uploads in chunks.
* An FTP endpoint to upload files through FTP
* [A message queue endpoint (MQTT)](/wiki/Message-Queue-Endpoint) to recieve streaming data and send and recieve triggering signals.

### Use-case examples
* [VRAPoten-API](/wiki/VRAPoten-API)